<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChapterPlan_List.aspx.cs" Inherits="RM.Web.Training.Chapter.ChapterPlan_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
 <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_title")%></title>
 
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
     <script src="/Themes/Scripts/jquery.pullbox.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
          <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_title")%></title>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>

    <div class="div-body" id="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
            $(".div-body").PullBox({ dv: $(".div-body"), obj: $("#table1").find("tr") });
        })
        function add() {
            var url = "/Training/Chapter/ChapterPlan_Form.aspx";
            top.openDialog(url, 'TKS_ChapterPlan_add', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_tkxxjh")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 750, 500, 50, 50);
            
        }
        //编辑
        function edit() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var url = "/Training/Chapter/ChapterPlan_Form.aspx?key=" + key;
                top.openDialog(url, 'TKS_ChapterPlan_edit', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_tkxxjh")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 750, 500, 50, 50);
                
            } else {
                showFaceMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_qgxybjtkxxjhe")%> !");
            }
        }
        //设置
        function set() {
            var url = "/RMBase/SysWindows/Base_WindowsSQLForm.aspx?key=<%=TableTitle %>";
            top.openDialog(url, 'TKS_ChapterPlan', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_tkxxjh")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Display settings")%>', 750, 400, 50, 50);
        }
        //删除
        function Delete() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsDelData(CheckboxValue())) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_List_tkxxjh")%>&tableName=TKS_ChapterPlan&pkName=CP_id&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
    </script>
</body>
</html>